
set echo on

CREATE TABLE emp_xt
(  empno      NUMBER(4)
,  ename      VARCHAR2(10)
,  job        VARCHAR2(9)
,  mgr        NUMBER(4)
,  hiredate   DATE
,  sal        NUMBER(7,2)
,  comm       NUMBER(7,2)
,  deptno     NUMBER(2)
)
ORGANIZATION EXTERNAL
(
  TYPE ORACLE_LOADER
  DEFAULT DIRECTORY xt_dir
  ACCESS PARAMETERS
  (
     RECORDS DELIMITED by NEWLINE
     BADFILE 'emp_xt.bad'
     LOGFILE 'emp_xt.log'
     NODISCARDFILE
     FIELDS TERMINATED BY ','
     (  empno
     ,  ename
     ,  job
     ,  mgr
     ,  hiredate  CHAR(20) DATE_FORMAT DATE MASK "DD/MM/YYYY"
     ,  sal
     ,  comm
     ,  deptno
     )
  )
  LOCATION ('emp.dat')
)
REJECT LIMIT UNLIMITED;

